$(function () {

    var gnbInit = function () {
        var _target = $('nav .navlist > li > a');
        $('nav').removeClass("on");
        _target
            .parent()
            .each(function (index, element) {
                $(element)
                    .find(".dp2")
                    .removeAttr('style');
                var dp2OtherWd = parseInt($(element).find(".dp2").outerWidth());
                $(element)
                    .find(".dp2")
                    .css("margin-left", -(parseInt(dp2OtherWd / 2)));
            });

        _target
            .parent()
            .hover(function () {
                var _this = $(this);
                var _thispt = _this.parent();

                $('nav .navlist > li').removeClass("on");
                _this.addClass("on");
            }, function () {
                var _this = $(this);
                var _thispt = _this.parent();
                _this.removeClass("on");
            });
    };

    var gnbMobileLink = function () {

        var _target = $('nav .navlist > li > a');
        $('nav .navlist .dp2').removeAttr('style');
        _target.on("click", function (e) {
            var _this = $(this);
            var _thispt = _this.parent();
            if (_thispt.hasClass("on")) {
                _thispt.removeClass("on");
                _thispt
                    .find(".dp2")
                    .slideUp();
            } else {
                $('nav .navlist > li').removeClass("on");
                _thispt.addClass("on");
                $('nav .navlist .dp2').slideUp();
                _thispt
                    .find(".dp2")
                    .slideDown();
            }
        });
    };

    $('.navtoggle .toggle').on("click", function (e) {
        
        e.preventDefault();
        var _this = $(this);
        var _targetNav = _this.parents("nav");
        if (_targetNav.hasClass("on")) {
            _targetNav.removeClass("on");
        } else {
            _targetNav.addClass("on");
        }
    });

    function gnbResponse(e) {

        var winWH = $(window).width();
        var natTargetOrigin = $('nav .navlist > li > a');
        if (winWH < 1280) {
            natTargetOrigin.off("click");
            gnbMobileLink(e);
            natTargetOrigin
                .parent()
                .off("mouseenter");
            natTargetOrigin
                .parent()
                .each(function (index, element) {
                    $(element)
                        .find(".dp2")
                        .parents("li")
                        .addClass("act");
                });
            //$("#talkFloat").removeClass("on"); $("#talkFloat").addClass("mb");

        } else {
            gnbInit();
            natTargetOrigin.off("click");
            natTargetOrigin
                .parent()
                .removeClass("act");
            //$("#talkFloat").addClass("on");
        }

        if (winWH < 768) {
            $("#talkFloat").addClass("on");
            $("#talkFloat").addClass("moff");
        } else {
            //$("#talkFloat").addClass("on");
            $("#talkFloat").removeClass("moff");
            $("#talkFloat").removeClass("mon");
        }
    }
    gnbResponse();

    $(window).resize(function () {
        gnbResponse();
    });

});

$(document).ready(function(){
	$('#center').focus(function(){
		
		$('.navIntro').addClass('on');
		$('.navTraffic').removeClass('on');
	});
	$('#traffic').focus(function(){
		$('.navTraffic').addClass('on');
		$('.navIntro').removeClass('on');
	});
	
	$('#busInfo').focus(function(){
		$('.navTraffic').removeClass('on');
	});
	$('#logoA').focus(function(){
		$('.navIntro').removeClass('on');
	});
});
